[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.DoAutoSize

Defers auto-sizing actions to the AlignControls method.

## Declaration

Source position: comctrls.pp line 2338

`protected procedure TToolBar.DoAutoSize; override;`

## Description

Child controls are positioned in the AlignControls method independent of the setting in AutoSize.

## See also

TToolBar.AlignControls |  | Performs actions to align the tool bar buttons in the specified rectangle.
TToolBar.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.
TWinControl.DoAutoSize |  | Shrinks or enlarges the control to accommodate its children.